classification
Title: Include/opcode.h is modified during building
Type: compile error Stage: resolved
Components: Build Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: asvetlov, gvanrossum, ncoghlan, python-dev, scoder, serhiy.storchaka, tseaver, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2015-05-26 07:47 by serhiy.storchaka, last changed 2016-12-28 08:27 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
opcodes_ws.patch yselivanov, 2015-05-26 14:04 review
generate_opcode_h_align.patch serhiy.storchaka, 2015-05-27 14:12 review
Messages (7)
msg244089 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-05-26 07:47
Changeset eeeb666a5365 in issue24017 unintentionally changed formatting of generated file Include/opcode.h. Now clean building CPython modifies Include/opcode.h.

One solution is to restore formatting of Include/opcode.h (regenerate it and commit).

Other solution is to change Tools/scripts/generate_opcode_h.py to generate a file without trailing spaces.
msg244105 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2015-05-26 14:04
> Other solution is to change Tools/scripts/generate_opcode_h.py to generate a file without trailing spaces.

I like this option. I saw the whitespace, but I usually don't touch autogenerated files, so I naturally thought that someone has modified the tooling before my commit and it's fine.

Anyways, please see the attached patch.
msg244169 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-05-27 14:12
I think the intension was to produce aligned data, but the alignment of the second column was wrong. Here is a patch that corrects formatting.
msg244170 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2015-05-27 14:49
lgtm
msg244213 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-05-27 18:32
New changeset 055834bb3685 by Serhiy Storchaka in branch '3.5':
Issue #24288: Generated opcode.h no longer contains trailing spaces and tabs.
https://hg.python.org/cpython/rev/055834bb3685

New changeset 9d9438cac3db by Serhiy Storchaka in branch 'default':
Issue #24288: Generated opcode.h no longer contains trailing spaces and tabs.
https://hg.python.org/cpython/rev/9d9438cac3db
msg284154 - (view) Author: Tres Seaver (tseaver) * Date: 2016-12-28 06:03
ISTM that this issue should be re-opened, because it breaks out-of-tree building from a pristine / read-only source tree.  If they are "public" headers, files like 'opcode.h' should be generated and checked in as part of the release process, rather than modified during a normal build.
msg284165 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-12-28 08:27
Please open new issue Tres. If it is not opened.
History
Date User Action Args
2016-12-28 08:27:07serhiy.storchakasetmessages: + msg284165
2016-12-28 06:09:18tseaversettitle: permissions -> Include/opcode.h is modified during building
2016-12-28 06:08:03tseaversettitle: Include/opcode.h is modified during building -> permissions
2016-12-28 06:03:55tseaversetnosy: + tseaver
messages: + msg284154
2015-05-27 18:32:47serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2015-05-27 18:32:17python-devsetmessages: + msg244213
2015-05-27 14:49:01yselivanovsetmessages: + msg244170
2015-05-27 14:12:13serhiy.storchakasetfiles: + generate_opcode_h_align.patch

messages: + msg244169
stage: needs patch -> patch review
2015-05-26 14:04:46yselivanovsetfiles: + opcodes_ws.patch
keywords: + patch
messages: + msg244105
2015-05-26 07:47:55serhiy.storchakacreate